import os

def makePidFile(cfg):
    # write the pid into the pidfile if possible
    try:
         if os.path.exists(cfg.pid_filename):
            os.unlink(cfg.pid_filename)
         f = open(cfg.pid_filename, 'w')
         f.write(str(os.getpid()))
         f.close()
    except IOError:
         pass

def kill(config_file=None, version=2.8):
    from zasync import config
    import signal
    cfg = config.initialize(config_file, version)
    pid_filename = cfg.pid_filename
    f = open(pid_filename, 'r')
    pid = int(f.read())
    f.close()
    os.kill(pid, signal.SIGKILL)

# Taken from zasync/client/zasync/__init__.py
def run(config_file=None, version=2.8):
    from zasync import config
    from zasync import client
    conf = config.initialize(config_file, version)
    makePidFile(conf)
    client.run(conf.target_path)
